Bug 437167 - Need NUMA content in Realtime Tuning Guide
Need NUMA content in Realtime Tuning Guide
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Realtime_Tuning_Guide (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Lana Brindley
Jeff Needle
: Documentation
Depends On:
  Show dependency treegraph
Reported: 2008-03-12 14:30 EDT by Clark Williams
Modified: 2013-10-23 19:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-28 23:27:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Clark Williams 2008-03-12 14:30:28 EDT
Description of problem:

NUMA (Non-Uniform Memory Access) systems can interact badly with realtime
applications by causing unexpected event latencies. We need tuning content that
is specific to dealing with NUMA hardware.
Comment 1 Lana Brindley 2008-03-26 20:47:09 EDT
Added the following section to the "Realtime Tuning" chapter, until more info

<title>Non-Uniform Memory Access</title>
Non-Uniform Memory Access (NUMA) is a design used to allocate memory resources
to a specific CPU. This can improve access time and results in fewer memory
locks. Although this sounds like it would be useful for reducing latency, NUMA
systems have been known to interact badly with realtime applications, as they
can cause unexpected event latencies.
For more information about the NUMA API, see Andi Kleen&#39;s whitepaper <ulink
url="http://www.halobates.de/numaapi3.pdf">An NUMA API for Linux</ulink>.

Comment 3 Lana Brindley 2008-05-05 19:47:47 EDT
If no further information on this section received by Friday 16 May, then
information currently in the guide will be assumed to be correct. Any further
information/updates to occur in the 1.1 docs.

Comment 6 Clark Williams 2008-05-16 17:47:50 EDT

So, what does BIOS interleaving actually do? And is that what it's always going
to be called in the BIOS setup screen(s)? 

We're trying to get something together for user consumption that will give them
an idea of how to setup their system for RT, so the language needs to be clear. 
Comment 7 Lana Brindley 2008-05-28 23:27:01 EDT
Closing this bug for now. Any further edits/additions to this section to be
included in 1.1 docs (a new bug will be required in that case).


Note You need to log in before you can comment on or make changes to this bug.